# FileAppender.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <memory>`
`#include <stdio.h>`
`#include <time.h>`
`#include <log4cpp/FileAppender.hh>`
`#include <log4cpp/Category.hh>`
`#include <log4cpp/FactoryParams.hh>`

Include dependency graph for FileAppender.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Appender > | log4cpp::create_file_appender (const FactoryParams &)